Bug 2251 - Error on delete job from queue
Error on delete job from queue
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.9
x86 Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 11:12 UTC by Francis
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francis 2005-01-17 11:12:28 UTC
Error on delete job from queue on a printer
This printer was functionally correctly
Jan 17 15:45:51 stealth smbd[13365]:
Jan 17 15:46:26 stealth smbd[13391]: [2005/01/17 15:46:26, 0] 
printing/printing_db.c:get_print_db_byname(40)
Jan 17 15:46:26 stealth smbd[13391]:   PANIC: assert failed at 
printing/printing_db.c(40)
Jan 17 15:46:26 stealth smbd[13391]: [2005/01/17 15:46:26, 0] 
lib/util.c:smb_panic2(1403)
Jan 17 15:46:26 stealth smbd[13391]:   PANIC: assert failed
Jan 17 15:46:26 stealth smbd[13391]: [2005/01/17 15:46:26, 0] 
lib/util.c:smb_panic2(1411)
Jan 17 15:46:26 stealth smbd[13391]:   BACKTRACE: 17 stack frames:
Jan 17 15:46:26 stealth smbd[13391]:    #0 /usr/sbin/smbd(smb_panic2+0x1f5) 
[0x82162d1]
Jan 17 15:46:26 stealth smbd[13391]:    #1 /usr/sbin/smbd(smb_panic+0x19) 
[0x82160da]
Jan 17 15:46:26 stealth smbd[13391]:    #2 /usr/sbin/smbd
(get_print_db_byname+0x9f) [0x8249b1f]
Jan 17 15:46:26 stealth smbd[13391]:    #3 /usr/sbin/smbd [0x82351d6]
Jan 17 15:46:26 stealth smbd[13391]:    #4 /usr/sbin/smbd [0x82383b5]
Jan 17 15:46:26 stealth smbd[13391]:    #5 /usr/sbin/smbd
(print_job_delete+0x3d) [0x823846b]
Jan 17 15:46:26 stealth smbd[13391]:    #6 /usr/sbin/smbd [0x809721c]
Jan 17 15:46:26 stealth smbd[13391]:    #7 /usr/sbin/smbd(api_reply+0x392) 
[0x809b50f]
Jan 17 15:46:26 stealth smbd[13391]:    #8 /usr/sbin/smbd [0x808fa63]
Jan 17 15:46:26 stealth smbd[13391]:    #9 /usr/sbin/smbd(reply_trans+0xde8) 
[0x8090a55]
Jan 17 15:46:26 stealth smbd[13391]:    #10 /usr/sbin/smbd [0x80e5746]
Jan 17 15:46:26 stealth smbd[13391]:    #11 /usr/sbin/smbd [0x80e581c]
Jan 17 15:46:26 stealth smbd[13391]:    #12 /usr/sbin/smbd(process_smb+0x217) 
[0x80e5bb7]
Jan 17 15:46:26 stealth smbd[13391]:    #13 /usr/sbin/smbd(smbd_process+0x18c) 
[0x80e69c6]
Jan 17 15:46:26 stealth smbd[13391]:    #14 /usr/sbin/smbd(main+0x87e) 
[0x828e2ba]
Jan 17 15:46:26 stealth smbd[13391]:    #15 /lib/libc.so.6
(__libc_start_main+0xb9) [0xb7cf9549]
Jan 17 15:46:26 stealth smbd[13391]:    #16 /usr/sbin/smbd [0x8076ec1]
Jan 17 15:46:26 stealth smbd[13391]:

More logs :
[2005/01/17 15:46:24, 3] smbd/lanman.c:api_DosPrintQGetInfo(743)
  api_DosPrintQGetInfo uLevel=51 name=PS-CONTAB1-P2
[2005/01/17 15:46:24, 3] smbd/process.c:process_smb(1092)
  Transaction 6 of length 101
[2005/01/17 15:46:24, 3] smbd/process.c:switch_message(887)
  switch message SMBtrans (pid 13391) conn 0x83bf9d0
[2005/01/17 15:46:24, 3] smbd/ipc.c:reply_trans(538)
  trans <\PIPE\LANMAN> data=0 params=7 setup=0
[2005/01/17 15:46:24, 3] smbd/ipc.c:named_pipe(334)
  named pipe command on <LANMAN> name
[2005/01/17 15:46:24, 3] smbd/lanman.c:api_reply(3580)
  Got API command 81 of form <W> <> (tdscnt=0,tpscnt=7,mdrcnt=0,mprcnt=4)

Some printers are OK.

Thank you for you attention
Comment 1 Gerald (Jerry) Carter 2005-01-17 12:30:47 UTC
Please test 3.0.11pre1 (or wait for pre2 later this week).  I 
believe this has already been fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:11 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.